GNU bug report logs - #37487
[PATCH] gnu: Add goattracker

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mikhail Kirillov <w96k@HIDDEN>; Keywords: patch; merged with #37486; dated Mon, 23 Sep 2019 02:20:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 37487 <at> debbugs.gnu.org:


Received: (at 37487) by debbugs.gnu.org; 23 Sep 2019 04:15:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 00:15:08 2019
Received: from localhost ([127.0.0.1]:34824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCFki-0000ey-2s
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 00:15:08 -0400
Received: from tobias.gr ([80.241.217.52]:44692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iCFkf-0000cV-Tq
 for 37487 <at> debbugs.gnu.org; Mon, 23 Sep 2019 00:15:06 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id dd1b0b85;
 Mon, 23 Sep 2019 04:15:04 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=8z88iSNE/Asd92NnvuluVY
 akgrXsBzJHKiLm9zb5QyA=; b=HzL3922JgJjboIV8v6gG4jzJY1FZUiMMqolf5m
 k5U8UvcdPbM4F6UK0cy9dDlAsHva3075P4P0GrUlCXlItBvNT+4aDIqR7Ku+n7Bb
 sjQn4jNu2qTtHwHIE1DEJZOw2s57v5jgDy6KB9YoJ3hQgdoELWhOz2tQ9ZPA5gf2
 hk8DSmH8c4eXgZ7CylFe8EKIv8Wy8gBIFRs/OuReD9i6rCyATBOLNwkC5my/UwIr
 VWhuTDldMlJb6mbpSYZKZaYeQvAI/x4Wz1u5zPfKqXZTriB569c1VefV0uahenu0
 8YyagDNYCe8/Wrz/Qmt/Jrj/1SV8irisie9v+yblmUZXVKBQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 296078e1
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 23 Sep 2019 04:15:04 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 37487 <at> debbugs.gnu.org, Mikhail Kirillov <w96k@HIDDEN>
Subject: Re: [bug#37487] [PATCH] gnu: Add goattracker
References: <20190923005752.22876-1-w96k@HIDDEN>
In-reply-to: <20190923005752.22876-1-w96k@HIDDEN>
Date: Mon, 23 Sep 2019 06:15:04 +0200
Message-ID: <871rw73ayf.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37487
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Mikhail,

Mikhail Kirillov =E5=86=99=E9=81=93=EF=BC=9A
> * gnu/packages/music.scm: Add goattracker

Thanks!

You sent the same patch to guix-patches@ twice, creating two=20
identical bugs (37486 and 37487) which I've now merged.  Or was=20
there [supposed to be] a difference?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl2IRsgACgkQ2Imw8BjF
STwgLA/9Fh6/NtK9R145ro+4F5vt8RuFQ7MSwO9h+PRJHdkTU5Kb8OtuSDsm2L2R
Q2AW8RFZBIfBSMUmaS12sq1z+Y4skx5bb9Gk61LXuv9DZkjiZJ9xKrxqPRwDXDdy
aQ/OvDgdkIEzxdRugsMwDsYUtjU4mabJqt8tyMlIaQXqjNulPZ1HbR4ANlF83/wf
yz935CLnL7wiS2/n6lkGlqeDaQhY2THw3q6Zu5oOmDRfhpOkeWCpuwI+PEErPHJ+
O44W67JPuePxU6NXx5tk2zWiy6aPeTtNk4Nx+iQuN4p6NjYF8qtLOGsiEhtOkJZ4
t3+j3N1s5jpUBHxOR2y+bXzdOR1GbCQQH9Ed92enlZWiIdUQzc5vAvWOgoUajb15
W6PuyckIa3U4kBwiUd/g08GsJ1f5Ha7ONFQunQziCAOYfKcI+QyVhVHzOXflFsNs
LDnP8xXbCyo6IGKOrlO/LzWQ1SjIDfHyexGJ/Wl952FaDbVpEr33PYOXqbRHtPyp
hsX7tSijf1knNdY2oYgwFDGBUE2W7bjNk9+UeomEyD34XqT6rItvCuA5p6ludTow
q6ieKjFTwoVVzLgDIThMLH0hN04Vm10RCq2UkOgLL0ctKC+pAJQoOw1NxUwBsRpW
gYIdQDuIcdbuWyuXjR83GMZFa895Ck1SNFerlbkdtJNMzb/DP9g=
=bfBO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37487; Package guix-patches. Full text available.
Merged 37486 37487. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2019 02:19:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 22:19:54 2019
Received: from localhost ([127.0.0.1]:34774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCDxB-0005yF-2f
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 22:19:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:47290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <w96k@HIDDEN>) id 1iCCg2-0003p9-Lt
 for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 20:58:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54085)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <w96k@HIDDEN>) id 1iCCg1-0000R6-2g
 for guix-patches@HIDDEN; Sun, 22 Sep 2019 20:58:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.3 required=5.0 tests=BAYES_05, MIME_CHARSET_FARAWAY,
 RCVD_IN_DNSWL_MED,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <w96k@HIDDEN>) id 1iCCfz-00022H-N8
 for guix-patches@HIDDEN; Sun, 22 Sep 2019 20:58:05 -0400
Received: from mout01.posteo.de ([185.67.36.141]:38122)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <w96k@HIDDEN>) id 1iCCfz-00021x-Hy
 for guix-patches@HIDDEN; Sun, 22 Sep 2019 20:58:03 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4A0EC16005E
 for <guix-patches@HIDDEN>; Mon, 23 Sep 2019 02:58:02 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 46c5XT2HYsz6tm6;
 Mon, 23 Sep 2019 02:58:00 +0200 (CEST)
From: Mikhail Kirillov <w96k@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add goattracker
Date: Mon, 23 Sep 2019 03:57:52 +0300
Message-Id: <20190923005752.22876-1-w96k@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=y
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.141
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 22 Sep 2019 22:19:52 -0400
Cc: Mikhail Kirillov <w96k@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/music.scm: Add goattracker
---
 gnu/packages/music.scm | 43 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 4d1e11f260..5cedb36695 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -23,6 +23,7 @@
 ;;; Copyright =C2=A9 2019 Timotej Lazar <timotej.lazar@HIDDEN>
 ;;; Copyright =C2=A9 2019 Jakob L. Kreuze <zerodaysfordays@HIDDEN=
org>
 ;;; Copyright =C2=A9 2019 raingloom <raingloom@HIDDEN>
+;;; Copyright =C2=A9 2019 Mikhail Kirillov <w96k@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4592,3 +4593,45 @@ with error and volume history, and advanced featur=
es.")
     ;; Most of the code is under GPL2+, but some abstract or helper clas=
ses
     ;; are under LGPL2.1.
     (license (list license:gpl2+ license:lgpl2.1))))
+
+(define-public goattracker
+  (package
+    (name "goattracker")
+    (version "2.75")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://sourceforge/goattracker2/GoatTracker 2/"
+                    version "/GoatTracker_" version ".zip"))
+              (sha256
+               (base32
+                "1km97nl7qvk6qc5l5j69wncbm76hf86j47sgzgr968423g0bxxlk"))=
))
+    (arguments
+     `(#:tests? #f
+       #:make-flags '("CC=3Dgcc")
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (add-after 'unpack 'prepare
+           (lambda _
+             (chdir "src")
+             (invoke "make" "clean")
+             #t))
+         (replace 'install
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (chdir "../linux")
+             (invoke "ln" "-s" "goattrk2" "goattracker")
+             (copy-recursively "./" (string-append
+                                     (assoc-ref %outputs "out")
+                                     "/bin"))
+             #t)))))
+    (native-inputs
+     `(("sdl" ,sdl)
+       ("unzip" ,unzip)))
+    (build-system gnu-build-system)
+    (synopsis "Crossplatform C64 music tracker")
+    (description "GoatTracker is a cross-platform tracker written by Las=
se
+=C3=96=C3=B6rni, producing SID chiptune music for the Commodore 64, and =
released with
+source code under the GPL.")
+    (home-page "https://goattracker2.sourceforge.io/")
+    (license license:gpl2)))
--=20
2.23.0





Acknowledgement sent to Mikhail Kirillov <w96k@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37487; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 Sep 2019 04:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.